Imports QuickDB.DBSampleDataSet

Public Class frmQuickDB

   Private Sub frmQuickDB_Load( _
         ByVal sender As System.Object, _
         ByVal e As System.EventArgs) Handles MyBase.Load
      Reload()
   End Sub

   Private Sub Reload()
      Me.DBSampleDataSet.Clear()
      Me.CategoryTableAdapter.Fill(Me.DBSampleDataSet.Category)
      Me.ArticleTableAdapter.Fill(Me.DBSampleDataSet.Article)
   End Sub

   Private Sub ReloadToolStripMenuItem_Click( _
         ByVal sender As System.Object, _
         ByVal e As System.EventArgs) _
         Handles ReloadToolStripMenuItem.Click
      Reload()
   End Sub

   Private Sub Save()
      'Evtl in Bearbeitung stehende Zellwerte als Eingabe bernehmen
      Me.CategoryGrid.EndEdit()
      Me.CategoryBindingSource.EndEdit()
      Me.ArticleGrid.EndEdit()
      Me.ArticleBindingSource.EndEdit()


      With Me.DBSampleDataSet.Category
         'Dieser Block fhrt CategoryTableAdapter.Update() fr gelschte DataRows extra aus.
         '! Besonderheit: Die DataRelation wird kurzfristig "umkonfiguriert", soda
         '! DataRow.AcceptChanges auch fr die ChildRows aufgerufen wird, damit sie vom
         '! ArticleTableAdapter.Update() ausgenommen werden.
         .ChildRelations(0).ChildKeyConstraint.AcceptRejectRule = AcceptRejectRule.Cascade
         Dim DeletedRows As DataRow() = .Select("", "", DataViewRowState.Deleted)
         Me.CategoryTableAdapter.Update(DeletedRows)
         .ChildRelations(0).ChildKeyConstraint.AcceptRejectRule = AcceptRejectRule.None
      End With

      Me.CategoryTableAdapter.Update(Me.DBSampleDataSet.Category)
      Me.ArticleTableAdapter.Update(Me.DBSampleDataSet.Article)
   End Sub

   Private Sub SaveToolStripMenuItem_Click( _
         ByVal sender As Object, _
         ByVal e As System.EventArgs) _
         Handles SaveToolStripMenuItem.Click
      Save()
   End Sub

End Class 'frmQuickDB